<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ReportFailureEx Method (IEdmGetOpCallback2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmGetOpCallback2 Interface : ReportFailureEx Method (IEdmGetOpCallback2)

Visual Basic
C#
C++/CLI

lFileID
  ID of the affected file

lVersionNo
  Version of the affected file

bsPath
  Path to the affected file

eError
  Error code as defined in EdmGetOpError

oArg1
  Unique 64-bit version ID

oArg2
  Reserved for future use

oArg3
  Reserved for future use

Notifies about a file error.

# Syntax

Visual Basic |
--- | ---

    Function ReportFailureEx( _
       ByVal lFileID As System.Integer, _
       ByVal lVersionNo As System.Integer, _
       ByVal bsPath As System.String, _
       ByVal eError As EdmGetOpError, _
       ByVal oArg1 As System.Object, _
       ByVal oArg2 As System.Object, _
       ByVal oArg3 As System.Object _
    ) As EdmGetOpReply

C# |
--- | ---

    EdmGetOpReply ReportFailureEx(
       System.int lFileID,
       System.int lVersionNo,
       System.string bsPath,
       EdmGetOpError eError,
       System.object oArg1,
       System.object oArg2,
       System.object oArg3
    )

C++/CLI |
--- | ---

    EdmGetOpReply ReportFailureEx(
    &   System.int lFileID,
    &   System.int lVersionNo,
    &   System.String^ bsPath,
    &   EdmGetOpError eError,
    &   System.Object^ oArg1,
    &   System.Object^ oArg2,
    &   System.Object^ oArg3
    )

#### Parameters

lFileID
  ID of the affected file
lVersionNo
  Version of the affected file
bsPath
  Path to the affected file
eError
  Error code as defined in EdmGetOpError
oArg1
  Unique 64-bit version ID
oArg2
  Reserved for future use
oArg3
  Reserved for future use

#### Return Value

Reply with how to proceed as defined in EdmGetOpReply

# Remarks

This method extends IEdmGetOpCallback::ReportFailure which does not support recovering from archive file errors.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmGetOpCallback2 Interface
IEdmGetOpCallback2 Members

# Availability

SOLIDWORKS PDM Professional 2011